Mailinglist Archive: opensuse-bugs (4068 mails)

< Previous Next >
[Bug 714545] python-gtk: could not find _PyGObject_API object

https://bugzilla.novell.com/show_bug.cgi?id=714545

https://bugzilla.novell.com/show_bug.cgi?id=714545#c14


--- Comment #14 from Satoru Matsumoto <helios_reds@xxxxxxx> 2011-08-31 14:52:42
UTC ---
(In reply to comment #10)
Are you using the GNOME 3 repositories? It sounds like an issue where some
python module needs to be rebuilt against those.

I once wanted to try GNOME 3 and enabled GNOME:STABLE:3.0 repo, but since I
encountered some problems, I removed GNOME 3. However, looking at the packages,
several packages from that repo were still installed. So I replaced packages
from the repo with that from OSS repo (or removed the packages if the
alternatives aren't in OSS repo). But still, I get the same error.

$ python -c 'import pynotify'
Traceback (most recent call last):
File "<string>", line 1, in <module>
File "/usr/lib64/python2.7/site-packages/gtk-2.0/pynotify/__init__.py", line
1, in <module>
from _pynotify import *
ImportError: could not import gobject (could not find _PyGObject_API object)

--
Configure bugmail: https://bugzilla.novell.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.

< Previous Next >
References